Subject: Re: draft-thubert-nemo-global-haha-01.txt (was: [nemo] Charter proposal)

From: Ryuji Wakikawa <[email-masked]>
Date: Wed, 5 Apr 2006 11:43:21 +0900

Hi Andrew

On 2006/03/31, at 2:06, Dul, Andrew L wrote:

>> -----Original Message-----
>> From: Vijay Devarapalli [mailto:[email-masked]]
>> Sent: Wednesday, March 29, 2006 3:34 PM
>>>
>>> Aviation & maritime platforms are globally mobile, because they are
>>> globally mobile this makes route optimization also an InterDomain
>>> Routing issue.
>>>
>>> Even if you had global-haha implemented it would require
>> multiple ASNs
>>> to announce the mobile platform's address space.  That would likely
>>> require cooperation among a number of network operators to truly get
>>> route-optimization.   These network operators would also
>> have to agree
>>> to provide transit to other operators where the mobile platform was
>>> currently homed.
>>>
>>> Alternatively the mobile service provider would have to setup
>>> infrastructure in multiple well connected and well peered global
>>> locations just to prevent triangle routing from occurring.
>> The mobile
>>> service provider would also have to provide a transit network to
>>> transport traffic between the HA and the current attachment point.
>>
>> is that a problem? this problem is common to all roaming nodes, no?
>
>
> The problem is common but the situation is exacerbated because the
> roaming nodes are often far away from their home network.
>
> If you have to tunnel gigabytes of traffic across town because your
> traffic didn't enter at the closest point, that isn't necessarily a
> problem because the cost of carrying that traffic across town is
> negligible.
>
> However, if you have tunnel gigabytes of traffic across oceans because
> your traffic is being triangle routed that is a problem because the  
> cost
> is substantial.
>
> Route optimization, to me, is not necessarily about always using the
> shortest path from a physical perspective, but it is about using the
> most economic path.  Having the best path looks cool, but if the  
> cost to
> tunnel the traffic is negligible compared with the increased cost of
> complexity, I would vote for the negligible increase in transit cost.
> However if the cost of transit is high then additional complexity  
> would
> likely be needed to reduce the real cost of transporting bits.
>
> Andrew

I agree with your statement.

RO is not always effective (ex. HA is close enough to MN). It totally  
depends on topology.
MIP6 RO requires several signaling between MN and CN, but a small  
optimization may be achieved in some case.
This is problematic, since a mobile node involve this RO operation.
And how shorter path the MN can obtain cannot be predicted before RO  
completed.

HAHA is transparent to end nodes and can be controlled by operators  
(not end nodes).
This type of solution is doable since the backbone gets quite first  
these days.

ryuji

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 05 Apr 2006 17:14:18 +0200

Ryuji Wakikawa wrote:
>>> -----Original Message----- From: Vijay Devarapalli
>>> [mailto:[email-masked]] Sent: Wednesday, March
>>> 29, 2006 3:34 PM
>>>> 
>>>> Aviation & maritime platforms are globally mobile, because they
>>>> are globally mobile this makes route optimization also an
>>>> InterDomain Routing issue.
>>>> 
>>>> to announce the mobile platform's address space.  That would
>>>> likely require cooperation among a number of network operators
>>>> to truly get route-optimization.   These network operators
>>>> would also
>>> have to agree
>>>> to provide transit to other operators where the mobile platform
>>>> was currently homed.
>>>> 
>>>> infrastructure in multiple well connected and well peered
>>>> global locations just to prevent triangle routing from
>>>> occurring.
>>> The mobile
>>>> service provider would also have to provide a transit network
>>>> to transport traffic between the HA and the current attachment
>>>> point.
>>> 
>>  traffic didn't enter at the closest point, that isn't necessarily
>> a problem because the cost of carrying that traffic across town is 
>> negligible.
>> 
>> However, if you have tunnel gigabytes of traffic across oceans
>> because your traffic is being triangle routed that is a problem
>> because the cost is substantial.
>> 
>> Route optimization, to me, is not necessarily about always using
>> the shortest path from a physical perspective, but it is about
>> using the most economic path.  Having the best path looks cool, but
>> if the cost to tunnel the traffic is negligible compared with the
>> increased cost of complexity, I would vote for the negligible
>> increase in transit cost. However if the cost of transit is high
>> then additional complexity would likely be needed to reduce the
>> real cost of transporting bits.
>> 
>> Andrew
> 
>  depends on topology. MIP6 RO requires several signaling between MN
> and CN, but a small optimization may be achieved in some case. This
> is problematic, since a mobile node involve this RO operation. And
> how shorter path the MN can obtain cannot be predicted before RO 
> completed.
> 
> (not end nodes). This type of solution is doable since the backbone
> gets quite first these days.

Sorry for disgressing but are we talking netlmm here?

Alex